> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Blueprint build logs.

> Get all logs from the building of a Blueprint.



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json get /v1/blueprints/{id}/logs
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/blueprints/{id}/logs:
    get:
      tags:
        - Blueprint
        - Blueprint-ObservabilityTools
      summary: Get Blueprint build logs.
      description: Get all logs from the building of a Blueprint.
      operationId: blueprintLogs
      parameters:
        - name: id
          in: path
          description: The ID of the Blueprint
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlueprintBuildLogsListView'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Runloop from '@runloop/api-client';


            const client = new Runloop({
              bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
            });


            const blueprintBuildLogsListView = await
            client.blueprints.logs('id');


            console.log(blueprintBuildLogsListView.blueprint_id);
        - lang: Python
          source: |-
            import os
            from runloop_api_client import Runloop

            client = Runloop(
                bearer_token=os.environ.get("RUNLOOP_API_KEY"),  # This is the default and can be omitted
            )
            blueprint_build_logs_list_view = client.blueprints.logs(
                "id",
            )
            print(blueprint_build_logs_list_view.blueprint_id)
components:
  schemas:
    BlueprintBuildLogsListView:
      type: object
      properties:
        blueprint_id:
          type: string
          description: ID of the Blueprint.
        logs:
          type: array
          items:
            $ref: '#/components/schemas/BlueprintBuildLog'
          description: List of logs generated during Blueprint build.
      required:
        - blueprint_id
        - logs
    BlueprintBuildLog:
      type: object
      properties:
        level:
          type: string
          description: Log line severity level.
        timestamp_ms:
          type: integer
          format: int64
          description: Time of log (Unix timestamp milliseconds).
        message:
          type: string
          description: Log line message.
      required:
        - level
        - timestamp_ms
        - message
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````